IRQ_CHIP_COMPOSE_MSI(9)

NAME
irq_chip_compose_msi_msg - Componse msi message for a irq chip

SYNOPSIS

int irq_chip_compose_msi_msg(struct irq_data * data, struct msi_msg * msg);

ARGUMENTS

data
    Pointer to interrupt specific data

msg
    Pointer to the MSI message

DESCRIPTION

For hierarchical domains we find the first chip in the hierarchy which implements the irq_compose_msi_msg callback. For non hierarchical we use the top level chip.

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT